Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/20
Addresses2^108
/64 networks2^44
Network
fe8f:5000::/20
First address
fe8f:5000::
Last address
fe8f:5fff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
324,518,553,658,426,726,783,156,020,576,256 (2^108)
/64 networks (LANs)
17,592,186,044,416 (2^44)
Full form
fe8f:5000:0000:0000:0000:0000:0000:0000
Type
Link-local fe80::/10
Every IPv6 interface has one; not routed
Reverse DNS zone
5.f.8.e.f.ip6.arpa
Split into smaller subnets/28

fe8f:5000::/20 makes 256 subnets of /28.

Subnets
#SubnetLast address
1fe8f:5000::/28fe8f:500f:ffff:ffff:ffff:ffff:ffff:ffff
2fe8f:5010::/28fe8f:501f:ffff:ffff:ffff:ffff:ffff:ffff
3fe8f:5020::/28fe8f:502f:ffff:ffff:ffff:ffff:ffff:ffff
4fe8f:5030::/28fe8f:503f:ffff:ffff:ffff:ffff:ffff:ffff
5fe8f:5040::/28fe8f:504f:ffff:ffff:ffff:ffff:ffff:ffff
6fe8f:5050::/28fe8f:505f:ffff:ffff:ffff:ffff:ffff:ffff
7fe8f:5060::/28fe8f:506f:ffff:ffff:ffff:ffff:ffff:ffff
8fe8f:5070::/28fe8f:507f:ffff:ffff:ffff:ffff:ffff:ffff
9fe8f:5080::/28fe8f:508f:ffff:ffff:ffff:ffff:ffff:ffff
10fe8f:5090::/28fe8f:509f:ffff:ffff:ffff:ffff:ffff:ffff
11fe8f:50a0::/28fe8f:50af:ffff:ffff:ffff:ffff:ffff:ffff
12fe8f:50b0::/28fe8f:50bf:ffff:ffff:ffff:ffff:ffff:ffff
13fe8f:50c0::/28fe8f:50cf:ffff:ffff:ffff:ffff:ffff:ffff
14fe8f:50d0::/28fe8f:50df:ffff:ffff:ffff:ffff:ffff:ffff
15fe8f:50e0::/28fe8f:50ef:ffff:ffff:ffff:ffff:ffff:ffff
16fe8f:50f0::/28fe8f:50ff:ffff:ffff:ffff:ffff:ffff:ffff
17fe8f:5100::/28fe8f:510f:ffff:ffff:ffff:ffff:ffff:ffff
18fe8f:5110::/28fe8f:511f:ffff:ffff:ffff:ffff:ffff:ffff
19fe8f:5120::/28fe8f:512f:ffff:ffff:ffff:ffff:ffff:ffff
20fe8f:5130::/28fe8f:513f:ffff:ffff:ffff:ffff:ffff:ffff
21fe8f:5140::/28fe8f:514f:ffff:ffff:ffff:ffff:ffff:ffff
22fe8f:5150::/28fe8f:515f:ffff:ffff:ffff:ffff:ffff:ffff
23fe8f:5160::/28fe8f:516f:ffff:ffff:ffff:ffff:ffff:ffff
24fe8f:5170::/28fe8f:517f:ffff:ffff:ffff:ffff:ffff:ffff
25fe8f:5180::/28fe8f:518f:ffff:ffff:ffff:ffff:ffff:ffff
26fe8f:5190::/28fe8f:519f:ffff:ffff:ffff:ffff:ffff:ffff
27fe8f:51a0::/28fe8f:51af:ffff:ffff:ffff:ffff:ffff:ffff
28fe8f:51b0::/28fe8f:51bf:ffff:ffff:ffff:ffff:ffff:ffff
29fe8f:51c0::/28fe8f:51cf:ffff:ffff:ffff:ffff:ffff:ffff
30fe8f:51d0::/28fe8f:51df:ffff:ffff:ffff:ffff:ffff:ffff
31fe8f:51e0::/28fe8f:51ef:ffff:ffff:ffff:ffff:ffff:ffff
32fe8f:51f0::/28fe8f:51ff:ffff:ffff:ffff:ffff:ffff:ffff
33fe8f:5200::/28fe8f:520f:ffff:ffff:ffff:ffff:ffff:ffff
34fe8f:5210::/28fe8f:521f:ffff:ffff:ffff:ffff:ffff:ffff
35fe8f:5220::/28fe8f:522f:ffff:ffff:ffff:ffff:ffff:ffff
36fe8f:5230::/28fe8f:523f:ffff:ffff:ffff:ffff:ffff:ffff
37fe8f:5240::/28fe8f:524f:ffff:ffff:ffff:ffff:ffff:ffff
38fe8f:5250::/28fe8f:525f:ffff:ffff:ffff:ffff:ffff:ffff
39fe8f:5260::/28fe8f:526f:ffff:ffff:ffff:ffff:ffff:ffff
40fe8f:5270::/28fe8f:527f:ffff:ffff:ffff:ffff:ffff:ffff
41fe8f:5280::/28fe8f:528f:ffff:ffff:ffff:ffff:ffff:ffff
42fe8f:5290::/28fe8f:529f:ffff:ffff:ffff:ffff:ffff:ffff
43fe8f:52a0::/28fe8f:52af:ffff:ffff:ffff:ffff:ffff:ffff
44fe8f:52b0::/28fe8f:52bf:ffff:ffff:ffff:ffff:ffff:ffff
45fe8f:52c0::/28fe8f:52cf:ffff:ffff:ffff:ffff:ffff:ffff
46fe8f:52d0::/28fe8f:52df:ffff:ffff:ffff:ffff:ffff:ffff
47fe8f:52e0::/28fe8f:52ef:ffff:ffff:ffff:ffff:ffff:ffff
48fe8f:52f0::/28fe8f:52ff:ffff:ffff:ffff:ffff:ffff:ffff
49fe8f:5300::/28fe8f:530f:ffff:ffff:ffff:ffff:ffff:ffff
50fe8f:5310::/28fe8f:531f:ffff:ffff:ffff:ffff:ffff:ffff
51fe8f:5320::/28fe8f:532f:ffff:ffff:ffff:ffff:ffff:ffff
52fe8f:5330::/28fe8f:533f:ffff:ffff:ffff:ffff:ffff:ffff
53fe8f:5340::/28fe8f:534f:ffff:ffff:ffff:ffff:ffff:ffff
54fe8f:5350::/28fe8f:535f:ffff:ffff:ffff:ffff:ffff:ffff
55fe8f:5360::/28fe8f:536f:ffff:ffff:ffff:ffff:ffff:ffff
56fe8f:5370::/28fe8f:537f:ffff:ffff:ffff:ffff:ffff:ffff
57fe8f:5380::/28fe8f:538f:ffff:ffff:ffff:ffff:ffff:ffff
58fe8f:5390::/28fe8f:539f:ffff:ffff:ffff:ffff:ffff:ffff
59fe8f:53a0::/28fe8f:53af:ffff:ffff:ffff:ffff:ffff:ffff
60fe8f:53b0::/28fe8f:53bf:ffff:ffff:ffff:ffff:ffff:ffff
61fe8f:53c0::/28fe8f:53cf:ffff:ffff:ffff:ffff:ffff:ffff
62fe8f:53d0::/28fe8f:53df:ffff:ffff:ffff:ffff:ffff:ffff
63fe8f:53e0::/28fe8f:53ef:ffff:ffff:ffff:ffff:ffff:ffff
64fe8f:53f0::/28fe8f:53ff:ffff:ffff:ffff:ffff:ffff:ffff
65fe8f:5400::/28fe8f:540f:ffff:ffff:ffff:ffff:ffff:ffff
66fe8f:5410::/28fe8f:541f:ffff:ffff:ffff:ffff:ffff:ffff
67fe8f:5420::/28fe8f:542f:ffff:ffff:ffff:ffff:ffff:ffff
68fe8f:5430::/28fe8f:543f:ffff:ffff:ffff:ffff:ffff:ffff
69fe8f:5440::/28fe8f:544f:ffff:ffff:ffff:ffff:ffff:ffff
70fe8f:5450::/28fe8f:545f:ffff:ffff:ffff:ffff:ffff:ffff
71fe8f:5460::/28fe8f:546f:ffff:ffff:ffff:ffff:ffff:ffff
72fe8f:5470::/28fe8f:547f:ffff:ffff:ffff:ffff:ffff:ffff
73fe8f:5480::/28fe8f:548f:ffff:ffff:ffff:ffff:ffff:ffff
74fe8f:5490::/28fe8f:549f:ffff:ffff:ffff:ffff:ffff:ffff
75fe8f:54a0::/28fe8f:54af:ffff:ffff:ffff:ffff:ffff:ffff
76fe8f:54b0::/28fe8f:54bf:ffff:ffff:ffff:ffff:ffff:ffff
77fe8f:54c0::/28fe8f:54cf:ffff:ffff:ffff:ffff:ffff:ffff
78fe8f:54d0::/28fe8f:54df:ffff:ffff:ffff:ffff:ffff:ffff
79fe8f:54e0::/28fe8f:54ef:ffff:ffff:ffff:ffff:ffff:ffff
80fe8f:54f0::/28fe8f:54ff:ffff:ffff:ffff:ffff:ffff:ffff
81fe8f:5500::/28fe8f:550f:ffff:ffff:ffff:ffff:ffff:ffff
82fe8f:5510::/28fe8f:551f:ffff:ffff:ffff:ffff:ffff:ffff
83fe8f:5520::/28fe8f:552f:ffff:ffff:ffff:ffff:ffff:ffff
84fe8f:5530::/28fe8f:553f:ffff:ffff:ffff:ffff:ffff:ffff
85fe8f:5540::/28fe8f:554f:ffff:ffff:ffff:ffff:ffff:ffff
86fe8f:5550::/28fe8f:555f:ffff:ffff:ffff:ffff:ffff:ffff
87fe8f:5560::/28fe8f:556f:ffff:ffff:ffff:ffff:ffff:ffff
88fe8f:5570::/28fe8f:557f:ffff:ffff:ffff:ffff:ffff:ffff
89fe8f:5580::/28fe8f:558f:ffff:ffff:ffff:ffff:ffff:ffff
90fe8f:5590::/28fe8f:559f:ffff:ffff:ffff:ffff:ffff:ffff
91fe8f:55a0::/28fe8f:55af:ffff:ffff:ffff:ffff:ffff:ffff
92fe8f:55b0::/28fe8f:55bf:ffff:ffff:ffff:ffff:ffff:ffff
93fe8f:55c0::/28fe8f:55cf:ffff:ffff:ffff:ffff:ffff:ffff
94fe8f:55d0::/28fe8f:55df:ffff:ffff:ffff:ffff:ffff:ffff
95fe8f:55e0::/28fe8f:55ef:ffff:ffff:ffff:ffff:ffff:ffff
96fe8f:55f0::/28fe8f:55ff:ffff:ffff:ffff:ffff:ffff:ffff
97fe8f:5600::/28fe8f:560f:ffff:ffff:ffff:ffff:ffff:ffff
98fe8f:5610::/28fe8f:561f:ffff:ffff:ffff:ffff:ffff:ffff
99fe8f:5620::/28fe8f:562f:ffff:ffff:ffff:ffff:ffff:ffff
100fe8f:5630::/28fe8f:563f:ffff:ffff:ffff:ffff:ffff:ffff
101fe8f:5640::/28fe8f:564f:ffff:ffff:ffff:ffff:ffff:ffff
102fe8f:5650::/28fe8f:565f:ffff:ffff:ffff:ffff:ffff:ffff
103fe8f:5660::/28fe8f:566f:ffff:ffff:ffff:ffff:ffff:ffff
104fe8f:5670::/28fe8f:567f:ffff:ffff:ffff:ffff:ffff:ffff
105fe8f:5680::/28fe8f:568f:ffff:ffff:ffff:ffff:ffff:ffff
106fe8f:5690::/28fe8f:569f:ffff:ffff:ffff:ffff:ffff:ffff
107fe8f:56a0::/28fe8f:56af:ffff:ffff:ffff:ffff:ffff:ffff
108fe8f:56b0::/28fe8f:56bf:ffff:ffff:ffff:ffff:ffff:ffff
109fe8f:56c0::/28fe8f:56cf:ffff:ffff:ffff:ffff:ffff:ffff
110fe8f:56d0::/28fe8f:56df:ffff:ffff:ffff:ffff:ffff:ffff
111fe8f:56e0::/28fe8f:56ef:ffff:ffff:ffff:ffff:ffff:ffff
112fe8f:56f0::/28fe8f:56ff:ffff:ffff:ffff:ffff:ffff:ffff
113fe8f:5700::/28fe8f:570f:ffff:ffff:ffff:ffff:ffff:ffff
114fe8f:5710::/28fe8f:571f:ffff:ffff:ffff:ffff:ffff:ffff
115fe8f:5720::/28fe8f:572f:ffff:ffff:ffff:ffff:ffff:ffff
116fe8f:5730::/28fe8f:573f:ffff:ffff:ffff:ffff:ffff:ffff
117fe8f:5740::/28fe8f:574f:ffff:ffff:ffff:ffff:ffff:ffff
118fe8f:5750::/28fe8f:575f:ffff:ffff:ffff:ffff:ffff:ffff
119fe8f:5760::/28fe8f:576f:ffff:ffff:ffff:ffff:ffff:ffff
120fe8f:5770::/28fe8f:577f:ffff:ffff:ffff:ffff:ffff:ffff
121fe8f:5780::/28fe8f:578f:ffff:ffff:ffff:ffff:ffff:ffff
122fe8f:5790::/28fe8f:579f:ffff:ffff:ffff:ffff:ffff:ffff
123fe8f:57a0::/28fe8f:57af:ffff:ffff:ffff:ffff:ffff:ffff
124fe8f:57b0::/28fe8f:57bf:ffff:ffff:ffff:ffff:ffff:ffff
125fe8f:57c0::/28fe8f:57cf:ffff:ffff:ffff:ffff:ffff:ffff
126fe8f:57d0::/28fe8f:57df:ffff:ffff:ffff:ffff:ffff:ffff
127fe8f:57e0::/28fe8f:57ef:ffff:ffff:ffff:ffff:ffff:ffff
128fe8f:57f0::/28fe8f:57ff:ffff:ffff:ffff:ffff:ffff:ffff
129fe8f:5800::/28fe8f:580f:ffff:ffff:ffff:ffff:ffff:ffff
130fe8f:5810::/28fe8f:581f:ffff:ffff:ffff:ffff:ffff:ffff
131fe8f:5820::/28fe8f:582f:ffff:ffff:ffff:ffff:ffff:ffff
132fe8f:5830::/28fe8f:583f:ffff:ffff:ffff:ffff:ffff:ffff
133fe8f:5840::/28fe8f:584f:ffff:ffff:ffff:ffff:ffff:ffff
134fe8f:5850::/28fe8f:585f:ffff:ffff:ffff:ffff:ffff:ffff
135fe8f:5860::/28fe8f:586f:ffff:ffff:ffff:ffff:ffff:ffff
136fe8f:5870::/28fe8f:587f:ffff:ffff:ffff:ffff:ffff:ffff
137fe8f:5880::/28fe8f:588f:ffff:ffff:ffff:ffff:ffff:ffff
138fe8f:5890::/28fe8f:589f:ffff:ffff:ffff:ffff:ffff:ffff
139fe8f:58a0::/28fe8f:58af:ffff:ffff:ffff:ffff:ffff:ffff
140fe8f:58b0::/28fe8f:58bf:ffff:ffff:ffff:ffff:ffff:ffff
141fe8f:58c0::/28fe8f:58cf:ffff:ffff:ffff:ffff:ffff:ffff
142fe8f:58d0::/28fe8f:58df:ffff:ffff:ffff:ffff:ffff:ffff
143fe8f:58e0::/28fe8f:58ef:ffff:ffff:ffff:ffff:ffff:ffff
144fe8f:58f0::/28fe8f:58ff:ffff:ffff:ffff:ffff:ffff:ffff
145fe8f:5900::/28fe8f:590f:ffff:ffff:ffff:ffff:ffff:ffff
146fe8f:5910::/28fe8f:591f:ffff:ffff:ffff:ffff:ffff:ffff
147fe8f:5920::/28fe8f:592f:ffff:ffff:ffff:ffff:ffff:ffff
148fe8f:5930::/28fe8f:593f:ffff:ffff:ffff:ffff:ffff:ffff
149fe8f:5940::/28fe8f:594f:ffff:ffff:ffff:ffff:ffff:ffff
150fe8f:5950::/28fe8f:595f:ffff:ffff:ffff:ffff:ffff:ffff
151fe8f:5960::/28fe8f:596f:ffff:ffff:ffff:ffff:ffff:ffff
152fe8f:5970::/28fe8f:597f:ffff:ffff:ffff:ffff:ffff:ffff
153fe8f:5980::/28fe8f:598f:ffff:ffff:ffff:ffff:ffff:ffff
154fe8f:5990::/28fe8f:599f:ffff:ffff:ffff:ffff:ffff:ffff
155fe8f:59a0::/28fe8f:59af:ffff:ffff:ffff:ffff:ffff:ffff
156fe8f:59b0::/28fe8f:59bf:ffff:ffff:ffff:ffff:ffff:ffff
157fe8f:59c0::/28fe8f:59cf:ffff:ffff:ffff:ffff:ffff:ffff
158fe8f:59d0::/28fe8f:59df:ffff:ffff:ffff:ffff:ffff:ffff
159fe8f:59e0::/28fe8f:59ef:ffff:ffff:ffff:ffff:ffff:ffff
160fe8f:59f0::/28fe8f:59ff:ffff:ffff:ffff:ffff:ffff:ffff
161fe8f:5a00::/28fe8f:5a0f:ffff:ffff:ffff:ffff:ffff:ffff
162fe8f:5a10::/28fe8f:5a1f:ffff:ffff:ffff:ffff:ffff:ffff
163fe8f:5a20::/28fe8f:5a2f:ffff:ffff:ffff:ffff:ffff:ffff
164fe8f:5a30::/28fe8f:5a3f:ffff:ffff:ffff:ffff:ffff:ffff
165fe8f:5a40::/28fe8f:5a4f:ffff:ffff:ffff:ffff:ffff:ffff
166fe8f:5a50::/28fe8f:5a5f:ffff:ffff:ffff:ffff:ffff:ffff
167fe8f:5a60::/28fe8f:5a6f:ffff:ffff:ffff:ffff:ffff:ffff
168fe8f:5a70::/28fe8f:5a7f:ffff:ffff:ffff:ffff:ffff:ffff
169fe8f:5a80::/28fe8f:5a8f:ffff:ffff:ffff:ffff:ffff:ffff
170fe8f:5a90::/28fe8f:5a9f:ffff:ffff:ffff:ffff:ffff:ffff
171fe8f:5aa0::/28fe8f:5aaf:ffff:ffff:ffff:ffff:ffff:ffff
172fe8f:5ab0::/28fe8f:5abf:ffff:ffff:ffff:ffff:ffff:ffff
173fe8f:5ac0::/28fe8f:5acf:ffff:ffff:ffff:ffff:ffff:ffff
174fe8f:5ad0::/28fe8f:5adf:ffff:ffff:ffff:ffff:ffff:ffff
175fe8f:5ae0::/28fe8f:5aef:ffff:ffff:ffff:ffff:ffff:ffff
176fe8f:5af0::/28fe8f:5aff:ffff:ffff:ffff:ffff:ffff:ffff
177fe8f:5b00::/28fe8f:5b0f:ffff:ffff:ffff:ffff:ffff:ffff
178fe8f:5b10::/28fe8f:5b1f:ffff:ffff:ffff:ffff:ffff:ffff
179fe8f:5b20::/28fe8f:5b2f:ffff:ffff:ffff:ffff:ffff:ffff
180fe8f:5b30::/28fe8f:5b3f:ffff:ffff:ffff:ffff:ffff:ffff
181fe8f:5b40::/28fe8f:5b4f:ffff:ffff:ffff:ffff:ffff:ffff
182fe8f:5b50::/28fe8f:5b5f:ffff:ffff:ffff:ffff:ffff:ffff
183fe8f:5b60::/28fe8f:5b6f:ffff:ffff:ffff:ffff:ffff:ffff
184fe8f:5b70::/28fe8f:5b7f:ffff:ffff:ffff:ffff:ffff:ffff
185fe8f:5b80::/28fe8f:5b8f:ffff:ffff:ffff:ffff:ffff:ffff
186fe8f:5b90::/28fe8f:5b9f:ffff:ffff:ffff:ffff:ffff:ffff
187fe8f:5ba0::/28fe8f:5baf:ffff:ffff:ffff:ffff:ffff:ffff
188fe8f:5bb0::/28fe8f:5bbf:ffff:ffff:ffff:ffff:ffff:ffff
189fe8f:5bc0::/28fe8f:5bcf:ffff:ffff:ffff:ffff:ffff:ffff
190fe8f:5bd0::/28fe8f:5bdf:ffff:ffff:ffff:ffff:ffff:ffff
191fe8f:5be0::/28fe8f:5bef:ffff:ffff:ffff:ffff:ffff:ffff
192fe8f:5bf0::/28fe8f:5bff:ffff:ffff:ffff:ffff:ffff:ffff
193fe8f:5c00::/28fe8f:5c0f:ffff:ffff:ffff:ffff:ffff:ffff
194fe8f:5c10::/28fe8f:5c1f:ffff:ffff:ffff:ffff:ffff:ffff
195fe8f:5c20::/28fe8f:5c2f:ffff:ffff:ffff:ffff:ffff:ffff
196fe8f:5c30::/28fe8f:5c3f:ffff:ffff:ffff:ffff:ffff:ffff
197fe8f:5c40::/28fe8f:5c4f:ffff:ffff:ffff:ffff:ffff:ffff
198fe8f:5c50::/28fe8f:5c5f:ffff:ffff:ffff:ffff:ffff:ffff
199fe8f:5c60::/28fe8f:5c6f:ffff:ffff:ffff:ffff:ffff:ffff
200fe8f:5c70::/28fe8f:5c7f:ffff:ffff:ffff:ffff:ffff:ffff
201fe8f:5c80::/28fe8f:5c8f:ffff:ffff:ffff:ffff:ffff:ffff
202fe8f:5c90::/28fe8f:5c9f:ffff:ffff:ffff:ffff:ffff:ffff
203fe8f:5ca0::/28fe8f:5caf:ffff:ffff:ffff:ffff:ffff:ffff
204fe8f:5cb0::/28fe8f:5cbf:ffff:ffff:ffff:ffff:ffff:ffff
205fe8f:5cc0::/28fe8f:5ccf:ffff:ffff:ffff:ffff:ffff:ffff
206fe8f:5cd0::/28fe8f:5cdf:ffff:ffff:ffff:ffff:ffff:ffff
207fe8f:5ce0::/28fe8f:5cef:ffff:ffff:ffff:ffff:ffff:ffff
208fe8f:5cf0::/28fe8f:5cff:ffff:ffff:ffff:ffff:ffff:ffff
209fe8f:5d00::/28fe8f:5d0f:ffff:ffff:ffff:ffff:ffff:ffff
210fe8f:5d10::/28fe8f:5d1f:ffff:ffff:ffff:ffff:ffff:ffff
211fe8f:5d20::/28fe8f:5d2f:ffff:ffff:ffff:ffff:ffff:ffff
212fe8f:5d30::/28fe8f:5d3f:ffff:ffff:ffff:ffff:ffff:ffff
213fe8f:5d40::/28fe8f:5d4f:ffff:ffff:ffff:ffff:ffff:ffff
214fe8f:5d50::/28fe8f:5d5f:ffff:ffff:ffff:ffff:ffff:ffff
215fe8f:5d60::/28fe8f:5d6f:ffff:ffff:ffff:ffff:ffff:ffff
216fe8f:5d70::/28fe8f:5d7f:ffff:ffff:ffff:ffff:ffff:ffff
217fe8f:5d80::/28fe8f:5d8f:ffff:ffff:ffff:ffff:ffff:ffff
218fe8f:5d90::/28fe8f:5d9f:ffff:ffff:ffff:ffff:ffff:ffff
219fe8f:5da0::/28fe8f:5daf:ffff:ffff:ffff:ffff:ffff:ffff
220fe8f:5db0::/28fe8f:5dbf:ffff:ffff:ffff:ffff:ffff:ffff
221fe8f:5dc0::/28fe8f:5dcf:ffff:ffff:ffff:ffff:ffff:ffff
222fe8f:5dd0::/28fe8f:5ddf:ffff:ffff:ffff:ffff:ffff:ffff
223fe8f:5de0::/28fe8f:5def:ffff:ffff:ffff:ffff:ffff:ffff
224fe8f:5df0::/28fe8f:5dff:ffff:ffff:ffff:ffff:ffff:ffff
225fe8f:5e00::/28fe8f:5e0f:ffff:ffff:ffff:ffff:ffff:ffff
226fe8f:5e10::/28fe8f:5e1f:ffff:ffff:ffff:ffff:ffff:ffff
227fe8f:5e20::/28fe8f:5e2f:ffff:ffff:ffff:ffff:ffff:ffff
228fe8f:5e30::/28fe8f:5e3f:ffff:ffff:ffff:ffff:ffff:ffff
229fe8f:5e40::/28fe8f:5e4f:ffff:ffff:ffff:ffff:ffff:ffff
230fe8f:5e50::/28fe8f:5e5f:ffff:ffff:ffff:ffff:ffff:ffff
231fe8f:5e60::/28fe8f:5e6f:ffff:ffff:ffff:ffff:ffff:ffff
232fe8f:5e70::/28fe8f:5e7f:ffff:ffff:ffff:ffff:ffff:ffff
233fe8f:5e80::/28fe8f:5e8f:ffff:ffff:ffff:ffff:ffff:ffff
234fe8f:5e90::/28fe8f:5e9f:ffff:ffff:ffff:ffff:ffff:ffff
235fe8f:5ea0::/28fe8f:5eaf:ffff:ffff:ffff:ffff:ffff:ffff
236fe8f:5eb0::/28fe8f:5ebf:ffff:ffff:ffff:ffff:ffff:ffff
237fe8f:5ec0::/28fe8f:5ecf:ffff:ffff:ffff:ffff:ffff:ffff
238fe8f:5ed0::/28fe8f:5edf:ffff:ffff:ffff:ffff:ffff:ffff
239fe8f:5ee0::/28fe8f:5eef:ffff:ffff:ffff:ffff:ffff:ffff
240fe8f:5ef0::/28fe8f:5eff:ffff:ffff:ffff:ffff:ffff:ffff
241fe8f:5f00::/28fe8f:5f0f:ffff:ffff:ffff:ffff:ffff:ffff
242fe8f:5f10::/28fe8f:5f1f:ffff:ffff:ffff:ffff:ffff:ffff
243fe8f:5f20::/28fe8f:5f2f:ffff:ffff:ffff:ffff:ffff:ffff
244fe8f:5f30::/28fe8f:5f3f:ffff:ffff:ffff:ffff:ffff:ffff
245fe8f:5f40::/28fe8f:5f4f:ffff:ffff:ffff:ffff:ffff:ffff
246fe8f:5f50::/28fe8f:5f5f:ffff:ffff:ffff:ffff:ffff:ffff
247fe8f:5f60::/28fe8f:5f6f:ffff:ffff:ffff:ffff:ffff:ffff
248fe8f:5f70::/28fe8f:5f7f:ffff:ffff:ffff:ffff:ffff:ffff
249fe8f:5f80::/28fe8f:5f8f:ffff:ffff:ffff:ffff:ffff:ffff
250fe8f:5f90::/28fe8f:5f9f:ffff:ffff:ffff:ffff:ffff:ffff
251fe8f:5fa0::/28fe8f:5faf:ffff:ffff:ffff:ffff:ffff:ffff
252fe8f:5fb0::/28fe8f:5fbf:ffff:ffff:ffff:ffff:ffff:ffff
253fe8f:5fc0::/28fe8f:5fcf:ffff:ffff:ffff:ffff:ffff:ffff
254fe8f:5fd0::/28fe8f:5fdf:ffff:ffff:ffff:ffff:ffff:ffff
255fe8f:5fe0::/28fe8f:5fef:ffff:ffff:ffff:ffff:ffff:ffff
256fe8f:5ff0::/28fe8f:5fff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses